
Synnefo - Feature # 999

Status: Closed Priority: Low

Author: Vangelis Koukis Category: Volumes

Created: 08/04/2011 Assignee: Stratos Psomadakis

Updated: 02/07/2012 Due date: 11/11/2011

Subject: Test RADOS deployment

Description

Set up a test RADOS deployment, benchmark its performance wrt bandwidth and latency, for various object sizes.

Related issues:

related to Synnefo - Feature # 1512: RBD disk template for Ganeti Closed 10/18/2011 11/11/2011

related to Synnefo - Feature # 1001: Test RBD functionality with KVM Closed 08/04/2011 11/11/2011

History

#1 - 10/03/2011 01:07 pm - Vangelis Koukis

- Assignee changed from Nikos Skalkotos to Stratos Psomadakis

#2 - 10/03/2011 01:08 pm - Vangelis Koukis

Re-assigning.

This is a generic ticket for RADOS testing, which must also include an exploration of the redundancy and failover capabilities of RADOS.

#3 - 10/14/2011 07:25 pm - Vangelis Koukis

- Target version changed from v0.7 to v0.8.0

Moving to v0.8, pending documentation of findings. Work on block storage continues into the v0.8 cycle.

#4 - 10/18/2011 05:45 pm - Vangelis Koukis

- Due date set to 11/11/2011

#5 - 02/07/2012 12:00 pm - Vangelis Koukis

- Status changed from Assigned to Closed

An initial RADOS deployment is up and running, rbd support has been tested with KVM, patch pushed upstream and merged into Ganeti master (#1512),

closing ticket.
